Subject: bug#16296: subword.el regexps shouldn't be constants

From: Phil Sainty <[email-masked]>
Date: Mon, 30 Dec 2013 12:43:10 +1300

I notice that a recent(ish) change in subword.el changed the two
regexps (subword-forward-regexp and subword-backward-regexp) into
constants.

The reason for splitting them out into variables in the first
place was to help make subword-mode easily adaptable to other
situations where similar functionality was needed, but for different
definitions of 'subword'.

For the situation where the normal subword-forward/backward-function
values are fine and you simply need buffer-local overrides for the
regexps, this newer change would seem to be counter-productive.

Can we please revert it?

-Phil